Каталог программ для проектирования
dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Готовые программы > LISP. Создание листов и видовых экранов на них

LISP. Создание листов и видовых экранов на них

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 21.08.2015, 13:33 8 | 1
LISP. Создание листов и видовых экранов на них
Andrey_13
 
Инженер-проектировщик РЗА, ПА, ВК
 
Екатеринбург
Регистрация: 06.02.2014
Сообщений: 31

Andrey_13 на форуме Вставить имя

Вызов командой "_AL".
Указать слой с рамками чертежей (рамки выполнить в виде прямоугольников либо в виде блоков). Программа создаёт листы с видовыми экранами, совпадающими c рамками листов.
Программа нумерует листы по порядку следования рамок в одну строку или в один столбец (либо слева направо, либо сверху вниз). При расположении рамок матрицей - листы будут созданы, но нумерация вкладок потеряет упорядоченность.
Обновление (от старых к новым):
- предусмотрена установка параметров листов (установка принтера DWG to PDF.pc3, подбор ближайших стандартных форматов (A0,1,2,3,4), таблица стилей печати monochrome);
- убрано слово "Лист" из наименования листов;
- для нестандартных форматов листов устанавливается пустое устройство печати;
- улучшение для размещающих рамки форматов в пространстве модели вертикально;
- вместо ввода имени слоя с рамками определение слоя указанием объекта;
- предусмотрено блокирование создаваемых видовых экранов;
- предусмотрен ввод масштаба;
- исправлено завершение программы при пустом выборе объекта для определения слоя с форматами;
- исправлены мелкие ошибки, предусмотрен ввод номера первого листа при работе с удалением существующих листов;
- предусмотрено зумирование создаваемых листов, команда вызова "_AddLay" в целях ускорения набора сокращена до "_AL".
----------------------------
Выложена дополнительная программа создания группы видовых экранов в пространстве листа AVP.lsp. Выход из программы клавишей Esc.
Обновление:
- расширены пределы указания масштабов видовых экранов;
- показана рамка видового экрана при вставке.

Вложения
Тип файла: lsp AVP.LSP (2.9 Кб, 884 просмотров)
Тип файла: lsp AddLay.LSP (12.6 Кб, 940 просмотров)


Последний раз редактировалось Andrey_13, 02.09.2015 в 08:55.
Просмотров: 38435
 
Непрочитано 07.06.2017, 08:27
#141
kacugu

начинающий инженер-гидротехник
 
Регистрация: 18.04.2010
Санкт-Петербург
Сообщений: 534


Цитата:
Сообщение от petro_f Посмотреть сообщение
Попробуйте версию 4.3
Попробовал. Спасибо, отрабатывает нормально.
kacugu вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.06.2017, 19:44
#142
DMS-chiii


 
Регистрация: 12.12.2009
Сообщений: 22


Цитата:
Сообщение от petro_f Посмотреть сообщение
Попробуйте плагин с поста 92
Ваш плагин выдает такую ошибку:
Открывается файл формата AutoCAD 2018.
Выполняется регенерация модели.
Утилиты меню AutoCAD загружены.
DS> DotSoft ToolPac 17.0 Lisp Loaded
DS> Quick Keys Macro System ... Loaded.
[Info] Старт плагина SBADDLAY [Info]
[Info] Версия плагина 4.3 [Info]*Прервано*
Команда:
Файл Autodesk DWG. Это файл формата TrustedDWG, сохраненный в приложении Autodesk или в приложении, лицензированном корпорацией Autodesk.
Команда:
Команда:
Команда: SBADDLAY
Найден файл локальных настроект плагина, расположенный: D:\работа\программы\lisp\sbugo_addlay_insert\lisp\Sbugo_addlay_insert.ini
Для работы плагина будет применён файл настроек, расположенный: D:\работа\программы\lisp\sbugo_addlay_insert\lisp\Sbugo_addlay_insert.ini
Укажите объект для определения слоя с рамками
Выберите объекты: Противоположный угол: найдено: 2
Выберите объекты:
Выполняется регенерация листов.
Выполняется регенерация листов.
Выполняется регенерация модели.
Команда: Выполняется регенерация модели.
Команда:
Команда: Выполняется регенерация модели.
Программа допустила ошибку в функции "SBugo-AddLay". Ошибка Automation. Неверный вводВосстановление кэшированных видовых экранов.
Регенерация 9 измененных примитивов.
Команда:
DMS-chiii вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.06.2017, 21:30
#143
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от DMS-chiii Посмотреть сообщение
Укажите объект для определения слоя с рамками
Выберите объекты: Противоположный угол: найдено: 2
Выберите объекты:
Выполняется регенерация листов.
Есть два варианта - либо выбирая рамкой зацепил какой либо предмет кроме рамки... либо не подгрузил настройки принтера с поста №92.
Как вариант для проверки можно выложить файл с рамкой либо попробовать рамку с поста №93 и выбирать вручную только рамку.
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!

Последний раз редактировалось petro_f, 11.06.2017 в 21:58.
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.06.2017, 22:17
#144
DMS-chiii


 
Регистрация: 12.12.2009
Сообщений: 22


Как я понял проблема с моей рамкой, хоть аккуратно выделять только рамки, хоть сразу все элементы на Модели не работает. Если из поста 93 взять рамку, то нужно очень аккуратно выделять все рамки чтобы ничего кроме них не попадало в выбор, тогда работает. На мой взгляд удобно как в исходной программе когда можно сразу выделить все что есть на Модели. В вашей рамке не нашел ничего такого из за чего с ней работает. В своей пытаюсь поставить на тот же слой и не прокатывает.
Вложения
Тип файла: dwg 6.dwg (39.4 Кб, 15 просмотров)
DMS-chiii вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.06.2017, 22:29
#145
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от DMS-chiii Посмотреть сообщение
Как я понял проблема с моей рамкой, хоть аккуратно выделять только рамки, хоть сразу все элементы на Модели не работает. Если из поста 93 взять рамку, то нужно очень аккуратно выделять все рамки чтобы ничего кроме них не попадало в выбор, тогда работает. На мой взгляд удобно как в исходной программе когда можно сразу выделить все что есть на Модели. В вашей рамке не нашел ничего такого из за чего с ней работает. В своей пытаюсь поставить на тот же слой и не прокатывает.
Как я уже и говорил kacugu в посте №134, что найдётся человек, который сделает всё через жопу нестандартный масштаб. Вместо того что бы нарисовать рамку в масштабе 1:1 а затем масштабировать её в нужный размер DMS-chiii Вы сразу нарисовали рамку в масштабе 1:100
Вам DMS-chiii скажу одно - отключите автоматическое определение масштаба и поставьте вручную масштаб равный 1:100. Слой тут не причём.
Миниатюры
Нажмите на изображение для увеличения
Название: Масштаб.PNG
Просмотров: 21
Размер:	2.2 Кб
ID:	189573  
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!

Последний раз редактировалось petro_f, 11.06.2017 в 22:35.
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.06.2017, 22:39
#146
DMS-chiii


 
Регистрация: 12.12.2009
Сообщений: 22


Спасибо заработало! Просто не очень понятно, что настройки создания видовых экранов значат
DMS-chiii вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.06.2017, 22:49
#147
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от DMS-chiii Посмотреть сообщение
Спасибо заработало! Просто не очень понятно, что настройки создания видовых экранов значат
Ну я в логах изменений плагина писал, что "Добавил пробную функцию автоматического определения масштаба, по мотивам поста 135 [>= v 4.2].". Согласен, что действие этой функции не всем понятно.
Самое главное, что получилось - так что пользуйтесь на здоровье
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 13.07.2017, 11:06
#148
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от petro_f Посмотреть сообщение
Цитата:
Сообщение от DMS-chiii
Спасибо заработало! Просто не очень понятно, что настройки создания видовых экранов значат
Ну я в логах изменений плагина писал, что "Добавил пробную функцию автоматического определения масштаба, по мотивам поста 135 [>= v 4.2].". Согласен, что действие этой функции не всем понятно.
В посте #92 добавил картинку привязки элементов плагина к окну настройки чертежей автокада.
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.08.2017, 12:47
#149
tujn08


 
Регистрация: 26.12.2013
Сообщений: 210


есть список точек
Код:
[Выделить все]
 ((31409.8 10478.6 0.0) (31722.2 10494.6 0.0) (31789.1 10529.8 0.0) (31953.9 10545.7 0.0) (32142.9 10584.2 0.0) (32304.5 10535.1 0.0) (32404.1 10337.9 0.0) (32388.2 10307.1 0.0) (31950.3 10281.5 0.0) (31409.8 10239.7 0.0))
подскажите команду создания многоугольного видового экрана через vla/

Код:
[Выделить все]
 (command "_-vports" "_p" point1 point2 point3 point4 point5 "_C")
- не устраивает
либо как в эту команду вставить точки?
tujn08 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.08.2017, 13:03
#150
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от tujn08 Посмотреть сообщение
есть список точек
Код:
[Выделить все]
 ((31409.8 10478.6 0.0) (31722.2 10494.6 0.0) (31789.1 10529.8 0.0) (31953.9 10545.7 0.0) (32142.9 10584.2 0.0) (32304.5 10535.1 0.0) (32404.1 10337.9 0.0) (32388.2 10307.1 0.0) (31950.3 10281.5 0.0) (31409.8 10239.7 0.0))
подскажите команду создания многоугольного видового экрана через vla/

Код:
[Выделить все]
 (command "_-vports" "_p" point1 point2 point3 point4 point5 "_C")
- не устраивает
либо как в эту команду вставить точки?
Код:
[Выделить все]
 (command "_-vports" "_p" '(31409.8 10478.6 0.0) '(31722.2 10494.6 0.0) '(31789.1 10529.8 0.0) '(31953.9 10545.7 0.0) '(32142.9 10584.2 0.0) '(32304.5 10535.1 0.0) '(32404.1 10337.9 0.0) '(32388.2 10307.1 0.0) '(31950.3 10281.5 0.0) '(31409.8 10239.7 0.0) "_C")
Так пойдёт?
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 02.08.2017, 13:10
#151
tujn08


 
Регистрация: 26.12.2013
Сообщений: 210


Цитата:
Сообщение от petro_f Посмотреть сообщение
Так пойдёт?
это я знаю.
есть список из списков точек (списки разной длины)
надо цикл по подстановке этих точек в команду

----- добавлено через ~31 мин. -----
Код:
[Выделить все]
 		(princ cord_list_all)
		(
			((30963.3 10458.8 0.0) (31105.9 10450.6 0.0) (31223.9 10469.1 0.0) (31722.2 10494.6 0.0) (31789.1 10529.8 0.0) (31953.9 10545.7 0.0) (32142.9 10584.2 0.0) (32304.5 10535.1 0.0) (32404.1 10337.9 0.0) (32388.2 10307.1 0.0) (31950.3 10281.5 0.0) (31346.8 10234.9 0.0) (30963.3 10166.8 0.0)) 
			((30963.3 10166.8 0.0) (30958.7 10165.9 0.0) (30580.7 10142.2 0.0) (30467.7 10175.9 0.0) (29420.1 10133.1 0.0) (29420.1 10368.6 0.0) (29643.3 10373.8 0.0) (29715.2 10392.4 0.0) (30362.8 10406.5 0.0) (30695.4 10413.7 0.0) (30779.0 10492.8 0.0) (30922.6 10461.1 0.0) (30963.3 10458.8 0.0)) 
			((29420.1 10133.1 0.0) (28325.7 10088.4 0.0) (28313.0 9951.78 0.0) (28008.5 9943.33 0.0) (27995.2 9959.75 0.0) (27995.2 10341.5 0.0) (28575.0 10349.1 0.0) (29420.1 10368.6 0.0)) 
			((27995.2 9959.75 0.0) (27870.0 10113.9 0.0) (26469.3 10059.6 0.0) (26469.3 10258.2 0.0) (27095.1 10281.6 0.0) (27314.3 10308.5 0.0) (27706.7 10311.1 0.0) (27747.8 10338.3 0.0) (27995.2 10341.5 0.0)) 
			((26469.3 10059.6 0.0) (25037.9 10212.3 0.0) (25374.9 10195.7 0.0) (25483.9 10240.2 0.0) (25747.5 10231.2 0.0) (26469.3 10258.2 0.0)) 
			((25037.9 10004.2 0.0) (24239.6 9973.34 0.0) (23752.3 9938.92 0.0) (23748.8 9840.84 0.0) (23563.5 9847.49 0.0) (23516.2 9815.3 0.0) (23516.2 10023.0 0.0) (23667.8 10027.7 0.0) (23848.9 10144.9 0.0) (24024.6 10194.1 0.0) (24083.3 10278.7 0.0) (24301.9 10180.8 0.0) (24509.8 10178.1 0.0) (24546.1 10218.1 0.0) (24812.8 10223.3 0.0) (25037.9 10212.3 0.0)) 
			((23516.2 9815.3 0.0) (22618.1 9382.11 0.0) (22647.7 9481.73 0.0) (22820.7 9503.34 0.0) (22858.2 9635.43 0.0) (23000.3 9645.15 0.0) (23041.5 9790.74 0.0) (23424.9 9921.62 0.0) (23452.0 10021.0 0.0) (23516.2 10023.0 0.0)) 
			((22811.6 9335.81 0.0) (22725.0 9276.87 0.0) (21782.7 8667.94 0.0) (21604.7 8552.88 0.0) (21602.0 8392.64 0.0) (21316.0 8392.64 0.0) (21319.0 8395.29 0.0) (21366.0 8643.44 0.0) (21672.8 8740.52 0.0) (21717.2 8882.22 0.0) (21872.3 8915.43 0.0) (21924.3 9029.55 0.0) (22130.4 9044.09 0.0) (22150.1 9145.43 0.0) (22375.7 9196.82 0.0) (22410.3 9332.96 0.0) (22613.1 9365.58 0.0) (22618.1 9382.11 0.0)) 
			((21602.0 8392.64 0.0) (21601.8 8382.78 0.0) (21183.7 7972.29 0.0) (20696.2 7972.29 0.0) (20763.9 8018.44 0.0) (20891.1 8022.1 0.0) (21316.0 8392.64 0.0)) 
			((21183.7 7972.29 0.0) (20941.4 7734.35 0.0) (20747.7 7701.52 0.0) (20581.3 7552.62 0.0) (20294.5 7385.56 0.0) (20294.5 7644.17 0.0) (20333.8 7656.65 0.0) (20345.2 7692.01 0.0) (20450.1 7716.63 0.0) (20483.7 7774.86 0.0) (20607.0 7799.27 0.0) (20655.0 7944.16 0.0) (20696.2 7972.29 0.0)) 
			((20294.5 7385.56 0.0) (19518.0 6933.2 0.0) (19390.2 6859.82 0.0) (19225.0 6936.66 0.0) (19184.2 6870.3 0.0) (19000.2 6886.84 0.0) (18878.4 6995.8 0.0) (18897.1 7067.13 0.0) (18763.7 7132.57 0.0) (18764.1 7249.04 0.0) (18982.1 7257.83 0.0) (19053.7 7169.69 0.0) (19361.1 7040.54 0.0) (19384.7 7131.03 0.0) (19561.2 7140.35 0.0) (19564.3 7224.97 0.0) (19692.5 7237.94 0.0) (19701.6 7323.87 0.0) (19837.7 7338.51 0.0) (19861.8 7408.85 0.0) (20133.6 7503.39 0.0) (20146.0 7596.99 0.0) (20294.5 7644.17 0.0))
		)
tujn08 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.08.2017, 13:05
#152
tujn08


 
Регистрация: 26.12.2013
Сообщений: 210


кто подскажет:
В цикле lisp-ом создаю многоугольные видовые экраны.
Код:
[Выделить все]
 
(progn


;;; часть кода вырезана


(defun BO ( Viewport / echo obj B) 
	(setq echo (getvar "CMDECHO"))
	(setvar "CMDECHO" 0)
	(setq B (vlax-ename->vla-object Viewport))
	(vla-GetBoundingBox B 'minp 'maxp)
	(setq pmin (vlax-safearray->list minp) pmax (vlax-safearray->list maxp))
	(terpri)
	;(princ pmin)(terpri)
	;(princ pmax)(terpri)
)
                (setq 
			i 0
			b (length cord_list_all)
		)
(repeat b 
(setq a (nth i cord_list_all) s (length a))
(cond ; настройка листа и рамки


;;; часть кода вырезана


				( (= s 3)
					(command "_vports" "_p" p1 p2 p3 "_C")
				)
				( (= s 4)
					(command "_vports" "_p" p1 p2 p3 p4 "_C")
				)
				( (= s 5)
					(command "_vports" "_p" p1 p2 p3 p4 p5 "_C")
				)
)
                        (setq Viewport (entlast))
			(BO Viewport)
			(command "_.zoom" pmin pmax)
			(vla-put-mspace ActiveDocument :vlax-true) ; Активизация модели в видовом экране
			(vla-zoomWindow Application (vlax-3d-point pmin) (vlax-3d-point pmax))
			(vla-put-mspace ActiveDocument :vlax-false) ; Деактивация пространства модели
			; (vla-put-standardscale Viewport acVpCustomScale) ; Установка пользовательского масштаба видового экрана
			; (vla-put-CustomScale (vlax-ename->vla-object Viewport) 1) ; Установка масштаба видового экрана
			(vla-put-DisplayLocked (vlax-ename->vla-object Viewport) "-1")
			;(vla-put-DisplayLocked Viewport "-1")
			(setq i (+ i 1))
)
)
первый экран все хорошо,
внезапно в момент (setq Viewport (entlast)) подхватывается не последний а предыдущий- почему?
Из-за этого зуммирование происходит неправильно

На картинке выделены проблемные места - так же при изменении направления создания.

----- добавлено через ~2 мин. -----
И сразу вопрос-как перемещать видовые экраны?
Миниатюры
Нажмите на изображение для увеличения
Название: Безымянный.jpg
Просмотров: 20
Размер:	64.9 Кб
ID:	191870  Нажмите на изображение для увеличения
Название: Безымянный2.jpg
Просмотров: 15
Размер:	66.0 Кб
ID:	191871  

Последний раз редактировалось tujn08, 04.08.2017 в 13:13.
tujn08 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 07.08.2017, 17:30
#153
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от tujn08 Посмотреть сообщение
внезапно в момент (setq Viewport (entlast)) подхватывается не последний а предыдущий- почему?
Из-за этого зуммирование происходит неправильно
А не может быть, что зуммирование срывается из-за того, что область создания видового экрана выходит за границы (лимиты) чертежа? У меня из-за этого иногда не закрывался ВИ с выкидыванием ошибки.

Не проще сначала нарисовать полилинией области, потом выставить их как нужно и и далее из них создать ВИ?
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 07.08.2017, 18:39
#154
tujn08


 
Регистрация: 26.12.2013
Сообщений: 210


Цитата:
Сообщение от petro_f Посмотреть сообщение
А не может быть, что зуммирование срывается из-за
Нет. Зуммирование тут не причем т.к. объект хватается предыдущий.
А вот кстати натолкнули на мысль.
Объект хватается предыдущий, а зуммирование как раз последнего.
Все бы ничего, но через пару видовых экранов все работает штатно.
Что указывает на то, что переопределений нет, но что-то происходит не то.

Цитата:
Сообщение от petro_f Посмотреть сообщение
Не проще сначала нарисовать полилинией области,
придется делать так, если не разберусь.
tujn08 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.08.2017, 10:03
#155
posetitel


 
Регистрация: 16.10.2013
Сообщений: 106


Помогите с лиспом, никак не нарезаются листы в файле (файл прикладываю), в других чертежах все работает.
Масштаб 40:1, указывал в лиспе, но все равно никак
Вложения
Тип файла: dwg
DWG 2013
Печать листов.dwg (683.1 Кб, 2 просмотров)
posetitel вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.08.2017, 14:16
#156
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от posetitel Посмотреть сообщение
Помогите с лиспом, никак не нарезаются листы в файле (файл прикладываю), в других чертежах все работает.
Масштаб 40:1, указывал в лиспе, но все равно никак
Какая версия лиспа используется? Тут сейчас две (или больше) ветки в работе..

Лисп из поста #92 прекрасно нарезал листы в автомате. Только указывайте блок а не полилинию.
И обрабатывайте блоки отдельно, а полилинии отдельно - либо отключите автоопределение масштаба и тогда он смешанное определение поймет.
В общем всё работает.
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!

Последний раз редактировалось petro_f, 18.08.2017 в 14:23.
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.08.2017, 14:24
#157
posetitel


 
Регистрация: 16.10.2013
Сообщений: 106


Лисп скачивал давно, это тот лисп, который сначала выдает диалоговое окно, в котором надо выбирать необходимые параметры, команду на выполнение запускаю "sb". Качал лисп из шапки, который запускается командой "_al" и параметры нарезания уже вводятся в командной строке (или под указателем мышки), в нем тоже самое.

----- добавлено через ~3 мин. -----
Цитата:
Сообщение от petro_f Посмотреть сообщение
Какая версия лиспа используется? Тут сейчас две (или больше) ветки в работе..

Лисп из поста #92 прекрасно нарезал листы в автомате. Только указывайте блок а не полилинию.
И обрабатывайте блоки отдельно, а полилинии отдельно - либо отключите автоопределение масштаба и тогда он смешанное определение поймет.
В общем всё работает.
Как раз и делал полилинию специально, т.к. если весь блок рамки поместить в отдельный слой, параметры блока выбрать "по блоку", то Лисп из 92 поста не работал.
posetitel вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.08.2017, 14:35
#158
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от posetitel Посмотреть сообщение
Как раз и делал полилинию специально, т.к. если весь блок рамки поместить в отдельный слой, параметры блока выбрать "по блоку", то Лисп из 92 поста не работал.
Всё же попробуйте лисп с #92. Только что проверил на рабочей машине Ваш файл - всё как часы и нарезалось и оформилось.что блоки, что полилиний рамки. Только если используете полилинии, то отключайте автомасштаб и ставьте принудительно в 40
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.08.2017, 14:50
#159
posetitel


 
Регистрация: 16.10.2013
Сообщений: 106


Да, тестовый файл, если указывать масштаб принудительно стал работать. Но не работает мой шаблон, прикладываю, что получается в работе лиспа
Вложения
Тип файла: dwg
DWG 2013
Печать листов 2.dwg (47.4 Кб, 3 просмотров)
posetitel вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 18.08.2017, 17:28
#160
petro_f


 
Регистрация: 06.10.2016
Сообщений: 52


Цитата:
Сообщение от posetitel Посмотреть сообщение
Да, тестовый файл, если указывать масштаб принудительно стал работать. Но не работает мой шаблон, прикладываю, что получается в работе лиспа
У Вас косяк в блоке - функция не может корректно определить его границы.
На рисунке обе рамки лежат в одном и том же месте - верхний текст - это мой блок (размеры функция показывает корректно - 210 мм), а нижний текст то, что функция показывает из Вашего блока (222 мм). Так что смотрите блок - весь косяк в нём. Функция стандартная и не может определить какой размер ей подали...
Миниатюры
Нажмите на изображение для увеличения
Название: Косяк.JPG
Просмотров: 10
Размер:	29.6 Кб
ID:	192435  
__________________
Если ты разговариваешь с идиотом - убедись что он не занят тем же!
petro_f вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > Готовые программы > LISP. Создание листов и видовых экранов на них

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Сбиваются масштабы аннотаций и видовых экранов (из-за размерности юнита ?) Tyhig AutoCAD 9 15.09.2015 15:53
Автоматическое создание Листов (layot) с встроенной рамкой. Ассистент содания Листов. Что я делаю не так? Couleurs du Sud AutoCAD 14 16.06.2015 20:17
Проекции видовых экранов листов в модели (= отображение viewport на layout в model) I.Van AutoCAD 6 02.08.2012 15:31
Содержимое видовых экранов (в ПЛ) плавает при кручении колеса мыши JokerrSergh AutoCAD 29 29.12.2008 13:16

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы